@use "ruban.scss" as ruban;
@use "account.scss" as account;

@mixin main {

    grid-row: 1;
    grid-column: 1/3;
    border-bottom: var(--border);

    background: var(--bg-1);
    min-height: 30px;
    transition: all ease .1s;
    display: grid;
    grid-template-columns: 55px auto max-content;
    grid-template-rows: 30px max-content;    

    gap: 0;

    width: 100%;
    position: relative;

    .ruban {
        grid-column: 2;
        grid-row: 1;
        @include ruban.ruban;
    }

    .bandeaux {

        position: relative;
        grid-row: 2;
        grid-column: 1/4;

        .boite {
            background: var(--bg-1);
            transition: all ease .1s;
            height: 100px;
            width: 100%;
            padding: 5px;
            padding-left: 65px;
            * { user-select: none; }
        }

    }

    &.compact {

        .ruban {
            border-bottom: none;
        }

        .bandeaux {

            border: none;
            height: max-content;
            width: 100%;
            display: block;
            position: absolute;
            z-index: 21;
            top: 0; left: 0;
        
            pointer-events: none;
            opacity: 0;

            transition: opacity ease .1s;

            .boite {
                border-bottom: var(--border);
            }

            
        }
        
        &:hover .bandeaux, .bandeaux:hover {
            
            pointer-events: all;
            opacity: 1;

        }

    }
    
    .account {
        grid-row: 1;
        grid-column: 3;
        @include account.main();
    }

}

@mixin air {

    
    background: none;
    border-bottom: none;
    gap: 5px 0px;
    grid-template-rows: 50px max-content;    
    align-items: center;
    padding: 5px;

    .ruban {
        border-radius: 5px;
        background: none;
        backdrop-filter: blur(5px);
    }

    .boite {
        background: var(--bg-1);
        border-radius: 5px;
        box-shadow: 1px 1px 6px -2px #000;
     
    }

    &.compact {
        gap: 0px;

        .bandeaux {
            .boite {
                margin-top: 5px;
                box-shadow: 1px 1px 6px -2px #000;
                border-bottom-width: 0px;
            }
        }
    }

    .account {
        @include account.air();
    }


}